
#### 技术选型
- 核心框架：Spring Boot 2.15
- 安全框架：Apache Shiro 1.4
- 视图框架：Spring MVC 5.0
- 持久层框架：MyBatis 3.3，mybatis-plus3.1.2
- 数据库连接池：Druid 1.1.13
- 日志管理：SLF4J 1.7
- 后端校验框架：Hibernate Validator
<br> 

#### 安装教程
- git clone下载源码
- 安装lombok插件
- 修改配置文件application-dev.yml
- 启动项目
- Swagger文档路径：http://localhost:8080/swagger-ui.html
<br> 

#### 项目结构
```
├─wisenergy-parent 父模块
│  ├─wisenergy-common 通用模块
│  ├─wisenergy-model 实体类
│  ├─wisenergy-mapper DAO接口
│  ├─wisenergy-service 业务实现
│  ├─wisenergy-web-admin web接口
└─
```

#### 部署
- 打包：maven clean package
- 启动：nohup java -jar wisenergy-web-admin-1.0.0-SNAPSHOT.jar > admin.log 2>&1 &