package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 86187
 * @ Description   :  用户实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 19:59
 */
@Data
@ApiModel(value = "AccountUsers")
@TableName("user")
public class User implements Serializable {
    private static final long serialVersionUID = 2525339404301884673L;

    /**
     * 主键id
     */
    @ApiModelProperty(name = "id", value = "用户主键id")
    private Integer id;

    /**
     * 用户名称
     */
    @ApiModelProperty(name = "name", value = "用户名")
    private String userName;

    /**
     * 密码
     */
    @ApiModelProperty(name = "password", value = "用户密码")
    private String password;

    /**
     * 电话号码
     */
    @ApiModelProperty(name = "phone", value = "手机号")
    private String phone;

    /**
     * 头像
     */
    @ApiModelProperty(name = "headImage", value = "头像")
    private String headImage;

    /**
     * 微信uuid
     */
    @ApiModelProperty(name = "微信uuid", value = "uuid")
    private String uuid;

    /**
     * 性别
     */
    @ApiModelProperty(name = "sex", value = "用户性别:0:男，1：女")
    private Integer sex;

    /**
     * 学校
     */
    @ApiModelProperty(name = "school", value = "毕业院校")
    private String school;

    /**
     * 学生类型
     */
    @ApiModelProperty(name = "examType", value = "考生类型 1：文化课考生 2：美术生 3：体育生 4：文学编导考生")
    private Integer examType;

    /**
     * 来源 1：PC 2：h5 3:小程序
     */
    @ApiModelProperty(value = "来源 1：PC 2：h5 3:小程序", name = "source")
    private Integer source;

    /**
     * 是否删除
     */
    @ApiModelProperty(name = "isDelete", value = "是否删除 0：正常 1：删除")
    private Integer isDelete;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(name = "updateTime", value = "修改时间")
    private Date updateTime;

    /**
     * 用户是否为vip
     */
    @ApiModelProperty(name = "isVip",value = "用户是否为vip 1:是 2：不是")
    private Integer isVip;

    /**
     * 微信用户openid
     */
    @ApiModelProperty(name = "微信用户openid", value = "openid")
    private String openid;

    /**
     * vip电话号码
     */
    @ApiModelProperty(name = "vipMobile", value = "vip电话号码")
    private String vipMobile;

}
