package cn.wisenergy.model.enums;

/**
 * @ Description: 操作枚举类
 * @ Author     : 86187
 * @ Date       : 2021/1/15 9:58
 */
public enum OperationTypeEnum {
    /**
     * 用户登录相关-操作枚举类
     */
    USER_REGISTER(1, "用户祖册"),
    USER_LOGIN(2, "用户登录"),
    USER_OUT(3, "用户退出");

    private Integer code;

    private String desc;

    OperationTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static String getByCode(Integer code) {
        if (null == code) {
            return null;
        }

        for (OperationTypeEnum operation : OperationTypeEnum.values()) {
            if (operation.getCode().intValue() == code.intValue()) {
                return operation.getDesc();
            }
        }
        return null;
    }
}
