package cn.wisenergy.model.vo;

import cn.wisenergy.model.app.Volunteer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @ Description: 方案查询志愿列表
 * @ Author     : 86187
 * @ Date       : 2021/1/13 14:57
 */
@Data
@ApiModel(value = "VolunteerVo")
public class VolunteerVo {
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", name = "userId")
    private Integer userId;

    /**
     * 方案记录id
     */
    @ApiModelProperty(value = "方案记录id", name = "recordId")
    private Integer recordId;

    /**
     * 返回志愿总数
     */
    @ApiModelProperty(value = "返回志愿总数", name = "total")
    private Integer total;

    /**
     * 志愿信息列表
     */
    @ApiModelProperty(value = "志愿信息列表", name = "volunteers")
    private List<Volunteer> volunteers;
}
